﻿@model IEnumerable<Airlines.Business.DTOs.FlightDTO>

@{
	ViewData["Title"] = "Edit Flight";
}

<div class="container-form">
	<div class="container-head">
		<a href="/">
			<img src="~/assets/left sidebar.png" alt="bar" />
		</a>
		<h1>Flight</h1>
	</div>
	<table class="table">
		<tr class="table-head">
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Flight_Number)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Airline)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.ArrivalID)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.DepartureID)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Arrival_date)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Departure_date)
			</th>
		</tr>
		@foreach (var item in Model)
		{
			<tr>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Flight_Number)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Airline)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.ArrivalID)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.DepartureID)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Arrival_date)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Departure_date)
				</td>
			</tr>
		}
	</table>
	<form class="form" id="editForm" method="post" asp-action="Edit">
		<legend>Edit Flight</legend>

		<label for="flight_number">Flight Number</label>
		<input type="text" id="flight_number" name="flight_number" />

		<label for="airline">Airline</label>
		<input type="text" id="airline" name="airline" />

		<label for="departure_id">Departure ID</label>
		<input type="text" id="departure_id" name="departure_id" />

		<label for="arrival_id">Arrival ID</label>
		<input type="text" id="arrival_id" name="arrival_id" />

		<label for="departure_date">Departure Date</label>
		<input type="datetime-local" id="departure_date" name="departure_date" />

		<label for="arrival_date">Arrival Date</label>
		<input type="datetime-local" id="arrival_date" name="arrival_date" />

		<input type="submit" class="block-button-form" value="Edit Flight" />

	</form>
</div>

